package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.product.model.TakeStockSpu;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
public class TakeStockSpuImportVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "成功解析的数据项")
    private List<TakeStockSpu> takeStockSpuList;

    @Schema(description = "导入结果提示")
    private String tips;

    public List<TakeStockSpu> getTakeStockSpuList() {
        return takeStockSpuList;
    }

    public void setTakeStockSpuList(List<TakeStockSpu> takeStockSpuList) {
        this.takeStockSpuList = takeStockSpuList;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    @Override
    public String toString() {
        return "TakeStockSpuImportVO{" +
                "takeStockSpuList=" + takeStockSpuList +
                ", tips='" + tips + '\'' +
                '}';
    }
}
